`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    13:37:29 06/22/2016 
// Design Name: 
// Module Name:    test_main 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module test_main(
	input clk,
	output reg [15:0] led1,
	output [4:0] keyLed,
	output buzz,
	input [4:0] key,
	input [5:0] dip_sw
);

reg [31:0] counter = 0;

assign buzz = key[0];
assign keyLed[4:0] = ~key[4:0];

always
	begin
		led1 [9:8]  <= 2'b11;
		led1[1:0]   <=  ~key[1:0];
		led1[4:2]   <=  key[4:2];
		led1[15:10] <= dip_sw[5:0];
	end

always @(posedge clk)
	counter <= counter + 1;

always @(negedge clk)
	begin
		led1[5] <= counter[25];
		led1[6] <= counter[26];
		led1[7] <= counter[27];
	end

endmodule
